### Method

# Gdk.Surface.get_device_cursor

#### Declaration [src]

    GdkCursor*
    gdk_surface_get_device_cursor (
      GdkSurface* surface,
      GdkDevice* device
    )

#### Description [src]

Retrieves a `GdkCursor` pointer for the `device` currently set on the specified `GdkSurface`.

If the return value is `NULL` then there is no custom cursor set on the specified surface, and it is using the cursor for its parent surface.

#### Parameters

`device` | `GdkDevice`
| a pointer `GdkDevice`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkCursor`
a `GdkCursor`, or `NULL`. The returned object is owned by the `GdkSurface` and should not be unreferenced directly. Use `gdk_surface_set_cursor()` to unset the cursor of the surface
Ownership is not transferred to the caller
Can be `NULL`